#include <bits/stdc++.h>
using namespace std;
const int maxn = 3e5 +5;
int a[maxn];

int main(){
	int n, m;
	cin >> n >> m;

	vector <int> v;
	map <int, int> M;
	
	for(int i=1; i<=m; i++){
		cin >> a[i];
		M[a[i]]++;
		if(M[a[i]]==n){
            v.push_back(a[i]);
		}
	}

	cout << v.size() << '\n';
	for(int i=0; i<v.size(); i++){
        cout << v[i] << " ";
	}

}

